Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001072Frama-CPlug-in > value analysispublic2012-01-26 14:512014-03-25 14:17
Reportersignoles 
Assigned Toyakobowski 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001072: evaluation of && and || in term position
Description=== bug.i ===
int main(void) {
  int x = 0, y = 1;
  /*@ assert (x || y) == y; */
  /*@ assert (x && y) == x; */
  return 0;
}
===============

julien@is006613:~/frama-c$ frama-c -val bug.i
[value] Analyzing a complete application starting at main
[value] Computing initial state
[value] Initial state computed
[value] Values of globals at initialization
[kernel] The full backtrace is:
         Called from file "src/value/eval_logic.ml", line 237, characters 16-57
         Called from file "src/value/eval_logic.ml", line 249, characters 30-39
         Called from file "src/value/eval_logic.ml", line 224, characters 17-40
         Called from file "src/value/eval_logic.ml", line 729, characters 31-57
         Called from file "src/value/eval_logic.ml", line 58, characters 15-18
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval_logic.ml", line 56, characters 5-230
         Called from file "src/value/eval_stmts.ml", line 955, characters 21-211
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval_stmts.ml", line 1069, characters 8-128
         Called from file "cil/src/ext/dataflow.ml", line 305, characters 12-27
         Called from file "cil/src/ext/dataflow.ml", line 497, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 501, characters 9-22
         Called from file "src/value/eval_funs.ml", line 115, characters 14-37
         Called from file "src/value/eval_funs.ml", line 442, characters 6-69
         Called from file "src/value/eval_funs.ml", line 546, characters 11-44
         Re-raised at file "src/value/eval_funs.ml", line 562, characters 47-50
         Called from file "src/project/state_builder.ml", line 1068, characters 9-13
         Re-raised at file "src/project/state_builder.ml", line 1072, characters 15-18
         Called from file "src/value/register.ml", line 46, characters 4-24
         Called from file "queue.ml", line 134, characters 6-20
         Called from file "src/kernel/boot.ml", line 36, characters 4-20
         Called from file "src/kernel/cmdline.ml", line 719, characters 2-9
         Called from file "src/kernel/cmdline.ml", line 200, characters 4-8
         
         Unexpected error (File "src/value/eval_exprs.ml", line 419, characters 6-12: Assertion failed).
         Please report as 'crash' at http://bts.frama-c.com/. [^]
         Your Frama-C version is Nitrogen-20111001+dev.
         Note that a version and a backtrace alone often does not have information
         to understand the bug. Guidelines for reporting bugs are at:
         http://bts.frama-c.com/dokuwiki/doku.php?id=mantis:frama-c:bug_reporting_guidelines [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004681)
yakobowski (manager)
2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-01-26 14:51 signoles New Issue
2012-01-26 14:51 signoles Status new => assigned
2012-01-26 14:51 signoles Assigned To => yakobowski
2012-01-27 10:56 svn Checkin
2012-01-27 10:56 svn Status assigned => resolved
2012-01-27 10:56 svn Resolution open => fixed
2012-01-27 11:09 svn Checkin
2012-01-27 11:37 svn Checkin
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:58 yakobowski Note Added: 0004681
2014-02-12 16:58 yakobowski Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker